summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorruki <[email protected]>2023-11-25 00:02:42 +0800
committerruki <[email protected]>2023-11-25 00:02:42 +0800
commitcdf118d061648db234dbded8c4d1ca9a27f9638f (patch)
tree703efb91ebd9e65b0d3e065529495966ddc2eb74
parentabe98fd13ddd1643cba02d9e65f2e8a72cedc0b7 (diff)
fix ci
-rw-r--r--.github/workflows/macos.yml2
-rwxr-xr-xscripts/makeppa2
2 files changed, 2 insertions, 2 deletions
diff --git a/.github/workflows/macos.yml b/.github/workflows/macos.yml
index b35c61e1a..121abcd07 100644
--- a/.github/workflows/macos.yml
+++ b/.github/workflows/macos.yml
@@ -43,7 +43,7 @@ jobs:
brew install gnu-tar
gem install --no-document fpm
cd core
- xmake pack --autobuild=n --basename=xmake -o ../artifacts xmakesrc
+ xmake pack -y --autobuild=n --basename=xmake -o ../artifacts xmakesrc
cd ..
scripts/makeself/build-runfile.sh
- uses: actions/upload-artifact@v2
diff --git a/scripts/makeppa b/scripts/makeppa
index 53b559e10..2cf5fcc24 100755
--- a/scripts/makeppa
+++ b/scripts/makeppa
@@ -32,7 +32,7 @@ basename=xmake-$version+$patch$serie
tarball=$workdir/$basename.tar.gz
if [ ! -f $tarball ]; then
cd core
- xmake pack --autobuild=n --formats=targz --basename=xmake -o ../artifacts xmakesrc || exit -1
+ xmake pack --autobuild=n -y --formats=srctargz --basename=xmake -o ../artifacts xmakesrc || exit -1
cd ..
cp ./artifacts/xmake.tar.gz $tarball
fi